<?php

/* Onpub (TM)
 * Copyright (C) 2010 Onpub Co. <http://onpubco.com/>
 * Author: Corey H.M. Taylor <corey@onpubco.com>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; version 2.
 */

// DATABASE CONFIG
// MySQL server host where Onpub database is installed.
$onpub_db_host = 'localhost';
// MySQL database where Onpub tables are installed.
$onpub_db_name = '';
// MySQL username used to connect to Onpub database.
$onpub_db_user = '';
// MySQL password used to connect to Onpub database.
$onpub_db_pass = '';

// WEBSITE CONFIG
// ID of Onpub Website to display.
$onpub_website_id = 1;
// ID of Onpub Article to display on the home page.
$onpub_article_welcome_id = 1;

// DIRECTORY CONFIG
// Path to the root Onpub directory. Leave empty for current dir.
$onpub_dir_root = '';
// Path to YUI directory.
$onpub_dir_yui = 'yui';
// Path to OnpubAPI directory.
$onpub_dir_api = 'api';
// Path to default Onpub layout directory.
$onpub_dir_layout_default = 'layouts/default';
// Path to custom layout files. Can be absolute or relative and is not effected
// by the value of $onpub_dir_root like the other variables in this section.
$onpub_dir_layout_custom = 'layouts/default-custom';
// Path to the Onpub management interface.
$onpub_dir_manage = 'manage';

// LOCAL CONFIG
// Path to optional local config file.
// It's recommended that you copy customized variables from the default
// config.php file to this file. That way when upgrading Onpub to new versions,
// your local config customization will not be overwritten by the defaults
// present in config.php. This file is loaded immediately after config.php.
$onpub_config_local = 'config_local.php';

?>