<?php

/* Onpub (TM)
 * Copyright (C) 2010 Onpub Co. <http://onpubco.com/>
 * Author: Corey H.M. Taylor <corey@onpubco.com>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; version 2.
 */

$onpub_article = $onpub_articles->get($onpub_article_welcome_id);

if ($onpub_website) {
  if ($onpub_article) {
    en('<h1>' . $onpub_article->title . '</h1>');
    en($onpub_article->content);

    $qo = new OnpubQueryOptions();
    $qo->includeContent = true;
    $qo->orderBy = 'modified';
    $qo->order = 'DESC';
    $qo->rowLimit = 6;

    $articles = $onpub_articles->select($qo);

    if (sizeof($articles) > 1) {
      en('<h1>Updates</h1>');

      foreach ($articles as $a) {
        if ($a->ID != $onpub_article_welcome_id) {
          en('<p><em>' . $a->getModified()->format('M j, Y, g:i a') . ':</em></p>');
          en('<h2><a href="index.php?articleID=' . $a->ID . '">' . $a->title . '</a></h2>');


          if ($a->getSummary()) {
            en('<p>' . $a->getSummary() . '... <a href="index.php?articleID=' . $a->ID . '">More</a>.</p>');
          }
        }
      }
    }
  }
  else {
    br();
    en('<p>Welcome, you\'ve successfully installed Onpub. <a href="' . $onpub_dir_root . $onpub_dir_manage . '/index.php?onpub=NewArticle">Create a new article</a> to customize this page.</p>');
  }
}
else {
  br();
  en('<p>Welcome, you\'ve successfully installed Onpub. <a href="' . $onpub_dir_root . $onpub_dir_manage . '/index.php?onpub=NewWebsite">Create a new website</a> to get started.</p>');
}


?>